---
title: PayerErrors.name
slug: Web/API/PayerErrors/name
tags:
  - API
  - Commerce
  - Errors
  - Payer
  - PayerErrors
  - Payment Request
  - Payment Request API
  - Property
  - Reference
  - Response
  - Validation
  - name
  - payment
---
<div>{{APIRef("Payment Request API")}}{{draft}}</div>

<p>The <strong><code>name</code></strong> property is included in a {{domxref("PayerErrors")}} object if the {{domxref("PaymentResponse.payerName", "payerName")}} returned in the response couldn't be validated. The value is a string explaining the problem. If the payer's name validated successfully, the <code>name</code> property is omitted from the <code>PayerErrors</code> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>payerName</em> = <em>payerErrors</em>.name;
</pre>

<h3 id="Value">Value</h3>

<p>If this property is present in the {{domxref("PayerErrors")}} object, the payer's name couldn't be successfully validated, and the <code>name</code> property's value is a {{domxref("DOMString")}} explaining the error. This string will be displayed to the user by the {{Glossary("user agent", "user agent's")}} payment handling user interface.</p>

<p>If the payer's name is valid, this property is left out of the {{domxref("PayerErrors")}} object.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">function validatePayment(response) {
  const correctionPromises
  let paymentErrors = {};
  let payerErrors = {};

  // Check payer details

  if (!validEmail(response.payerEmail)) {
    payerErrors.email = "Please make sure you enter a valid email address."
  }
  if (!validName(response.payerName)) {
    payerErrors.email = "Please enter a valid name, using only &lt;appropriate characters&gt;."
  }
  if (!validPhone(response.payerPhone)) {
    payerErrors.phone = "Please enter a valid phone number in the form ###-###-####."
  }

  // Check everything else too...

  //
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#dom-payererrors-name','PayerErrors.name')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PayerErrors.name")}}</p>
</div>
